# Functor Netplex_sharedvar.Make_var_type

    module Make_var_type: functor (T : Netplex_cenv.TYPE) -> Netplex_cenv.VAR_TYPE  with type t = T.t

Creates a module with `get` and `set` functions to access variables of type `T.t`. Call it like

             module Foo_var =
               Make_var_type(struct type t = foo end)

and use `Foo_var.get` and `Foo_var.set` to access the shared variables of type `foo`. These functions can also raise the exception `Sharedvar_not_found` (unlike the primitive accessors above).

The variable must have been created with `enc:true`, e.g.

              let ok = create_var ~enc:true "name"

Parameters:

`T` | : | `Netplex_cenv.TYPE`

    type t

    val get : string -> t

    val set : string -> t -> unit